Package com.sap.ai.sdk.grounding.model

# Class ValidationError

java.lang.Object
com.sap.ai.sdk.grounding.model.ValidationError

public class ValidationError extends Object
ValidationError

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `ValidationError.Builder`
  Builder helper class.
  `static interface`
  `ValidationError.Builder1`
  Builder helper class.
  `static interface`
  `ValidationError.Builder2`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ValidationError()`
  Default constructor for ValidationError.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ValidationError`
  `addLocItem(LocationInner locItem)`
  Add one loc instance to this `ValidationError`.
  `static ValidationError.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `ValidationError` instance with all required arguments.
  `ValidationError`
  `ctx(Object ctx)`
  Set the ctx of this `ValidationError` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCtx()`
  Get ctx
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `ValidationError`.
  `Object`
  `getInput()`
  Get input
  `List<LocationInner>`
  `getLoc()`
  Get loc
  `String`
  `getMsg()`
  Get msg
  `String`
  `getType()`
  Get type
  `int`
  `hashCode()`
  `ValidationError`
  `input(Object input)`
  Set the input of this `ValidationError` instance and return the same instance.
  `ValidationError`
  `loc(List<LocationInner> loc)`
  Set the loc of this `ValidationError` instance and return the same instance.
  `ValidationError`
  `msg(String msg)`
  Set the msg of this `ValidationError` instance and return the same instance.
  `void`
  `setCtx(Object ctx)`
  Set the ctx of this `ValidationError` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `ValidationError` instance.
  `void`
  `setInput(Object input)`
  Set the input of this `ValidationError` instance.
  `void`
  `setLoc(List<LocationInner> loc)`
  Set the loc of this `ValidationError` instance.
  `void`
  `setMsg(String msg)`
  Set the msg of this `ValidationError` instance.
  `void`
  `setType(String type)`
  Set the type of this `ValidationError` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `ValidationError` instance including unrecognized properties.
  `String`
  `toString()`
  `ValidationError`
  `type(String type)`
  Set the type of this `ValidationError` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ValidationError

    protected ValidationError()
    Default constructor for ValidationError.

- ## Method Details

  - ### loc

    @Nonnull public ValidationError loc(@Nonnull List<LocationInner> loc)
    Set the loc of this `ValidationError` instance and return the same instance.
    Parameters:
      `loc` - The loc of this `ValidationError`
    Returns:
      The same instance of this `ValidationError` class

  - ### addLocItem

    @Nonnull public ValidationError addLocItem(@Nonnull LocationInner locItem)
    Add one loc instance to this `ValidationError`.
    Parameters:
      `locItem` - The loc that should be added
    Returns:
      The same instance of type `ValidationError`

  - ### getLoc

    @Nonnull public List<LocationInner> getLoc()
    Get loc
    Returns:
      loc The loc of this `ValidationError` instance.

  - ### setLoc

    public void setLoc(@Nonnull List<LocationInner> loc)
    Set the loc of this `ValidationError` instance.
    Parameters:
      `loc` - The loc of this `ValidationError`

  - ### msg

    @Nonnull public ValidationError msg(@Nonnull String msg)
    Set the msg of this `ValidationError` instance and return the same instance.
    Parameters:
      `msg` - The msg of this `ValidationError`
    Returns:
      The same instance of this `ValidationError` class

  - ### getMsg

    @Nonnull public String getMsg()
    Get msg
    Returns:
      msg The msg of this `ValidationError` instance.

  - ### setMsg

    public void setMsg(@Nonnull String msg)
    Set the msg of this `ValidationError` instance.
    Parameters:
      `msg` - The msg of this `ValidationError`

  - ### type

    @Nonnull public ValidationError type(@Nonnull String type)
    Set the type of this `ValidationError` instance and return the same instance.
    Parameters:
      `type` - The type of this `ValidationError`
    Returns:
      The same instance of this `ValidationError` class

  - ### getType

    @Nonnull public String getType()
    Get type
    Returns:
      type The type of this `ValidationError` instance.

  - ### setType

    public void setType(@Nonnull String type)
    Set the type of this `ValidationError` instance.
    Parameters:
      `type` - The type of this `ValidationError`

  - ### input

    @Nonnull public ValidationError input(@Nullable Object input)
    Set the input of this `ValidationError` instance and return the same instance.
    Parameters:
      `input` - The input of this `ValidationError`
    Returns:
      The same instance of this `ValidationError` class

  - ### getInput

    @Nullable public Object getInput()
    Get input
    Returns:
      input The input of this `ValidationError` instance.

  - ### setInput

    public void setInput(@Nullable Object input)
    Set the input of this `ValidationError` instance.
    Parameters:
      `input` - The input of this `ValidationError`

  - ### ctx

    @Nonnull public ValidationError ctx(@Nullable Object ctx)
    Set the ctx of this `ValidationError` instance and return the same instance.
    Parameters:
      `ctx` - The ctx of this `ValidationError`
    Returns:
      The same instance of this `ValidationError` class

  - ### getCtx

    @Nonnull public Object getCtx()
    Get ctx
    Returns:
      ctx The ctx of this `ValidationError` instance.

  - ### setCtx

    public void setCtx(@Nullable Object ctx)
    Set the ctx of this `ValidationError` instance.
    Parameters:
      `ctx` - The ctx of this `ValidationError`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `ValidationError`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `ValidationError` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `ValidationError` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `ValidationError` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static ValidationError.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `ValidationError` instance with all required arguments.